### Method

# Gdk MemoryTextureBuilder set_color_state

since: 4.16

#### Declaration [src]

    void
    gdk_memory_texture_builder_set_color_state (
      GdkMemoryTextureBuilder* self,
      GdkColorState* color_state
    )

#### Description [src]

Sets the colorstate describing the data.

By default, the sRGB colorstate is used. If you don’t know what colorstates are, this is probably the right thing.

Available since: 4.16

Sets property | `Gdk.MemoryTextureBuilder:color-state`

#### Parameters

`color_state`

  Type: `GdkColorState`

  The colorstate describing the data.

  The data is owned by the caller of the method.